org.apache.avro.protobuf

## Class ProtoConversions.TimestampMillisConversion

- java.lang.Object
- - org.apache.avro.Conversion<com.google.protobuf.Timestamp>
  - - org.apache.avro.protobuf.ProtoConversions.TimestampMillisConversion

Enclosing class:
  ProtoConversions

    public static class ProtoConversions.TimestampMillisConversion
    extends org.apache.avro.Conversion<com.google.protobuf.Timestamp>

### Constructor Summary

Constructors
Constructor and Description
`TimestampMillisConversion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.protobuf.Timestamp` `fromLong(Long millisFromEpoch, org.apache.avro.Schema schema, org.apache.avro.LogicalType type)`
`Class<com.google.protobuf.Timestamp>` `getConvertedType()`
`String` `getLogicalTypeName()`
`org.apache.avro.Schema` `getRecommendedSchema()`
`Long` `toLong(com.google.protobuf.Timestamp value, org.apache.avro.Schema schema, org.apache.avro.LogicalType type)`

### Methods inherited from class org.apache.avro.Conversion

`adjustAndSetValue, fromArray, fromBoolean, fromBytes, fromCharSequence, fromDouble, fromEnumSymbol, fromFixed, fromFloat, fromInt, fromMap, fromRecord, toArray, toBoolean, toBytes, toCharSequence, toDouble, toEnumSymbol, toFixed, toFloat, toInt, toMap, toRecord`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimestampMillisConversion

    public TimestampMillisConversion()

### Method Detail

#### getConvertedType

    public Class<com.google.protobuf.Timestamp> getConvertedType()

Specified by:
  `getConvertedType` in class `org.apache.avro.Conversion<com.google.protobuf.Timestamp>`

#### getLogicalTypeName

    public String getLogicalTypeName()

Specified by:
  `getLogicalTypeName` in class `org.apache.avro.Conversion<com.google.protobuf.Timestamp>`

#### fromLong

    public com.google.protobuf.Timestamp fromLong(Long millisFromEpoch,
                                                  org.apache.avro.Schema schema,
                                                  org.apache.avro.LogicalType type)
                                           throws IllegalArgumentException

Overrides:
  `fromLong` in class `org.apache.avro.Conversion<com.google.protobuf.Timestamp>`
Throws:
  `IllegalArgumentException`

#### toLong

    public Long toLong(com.google.protobuf.Timestamp value,
                       org.apache.avro.Schema schema,
                       org.apache.avro.LogicalType type)

Overrides:
  `toLong` in class `org.apache.avro.Conversion<com.google.protobuf.Timestamp>`

#### getRecommendedSchema

    public org.apache.avro.Schema getRecommendedSchema()

Overrides:
  `getRecommendedSchema` in class `org.apache.avro.Conversion<com.google.protobuf.Timestamp>`